Wallets, tokens & networks
Get Historical Prices
Fetches daily historical OHLCV from CoinMarketCap for a date range.
GEThttps://api.toku.com/tga/get-historical-prices
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/tga/get-historical-prices?startDate=%3CstartDate%3E&endDate=%3CendDate%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"id": 0,
"name": "string",
"symbol": "string",
"quotes": [
{
"time_open": "string",
"time_close": "string",
"time_high": "string",
"time_low": "string",
"quote": {
"USD": {
"open": 0,
"high": 0,
"low": 0,
"close": 0,
"volume": 0,
"market_cap": 0,
"timestamp": "string"
}
}
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
cmcIdstringAllowed: matches ^\d+$
currencySymbolstringAllowed: 1 to 20 characters, matches ^[A-Za-z0-9_-]+$
startDatestringrequiredNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
Allowed: 1 to 100 characters
endDatestringrequiredNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
Allowed: 1 to 100 characters
Response
200Successful response
idnumberrequirednamestringrequiredsymbolstringrequiredquotesobject[]requiredShow child attributes
time_openstringrequiredtime_closestringrequiredtime_highstringrequiredtime_lowstringrequiredquoteobjectrequiredShow child attributes
USDobjectrequiredShow child attributes
opennumberrequiredhighnumberrequiredlownumberrequiredclosenumberrequiredvolumenumberrequiredmarket_capnumberrequiredtimestampstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits